// creator  : weidu.exe (version 23100)
// argument : TAKIYAH.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TAKIYAH~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 1 even though they appear after this state */
~InParty("Jaheira")
~ THEN BEGIN 0 // from:
  SAY #10691 /* ~Wand of Fire Key~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #0 ~InParty("Faldorn")
~ THEN BEGIN 1 // from:
  SAY #10707 /* ~I am here to learn more of your Order, Keldorn, if you would be so kind.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~True()
~ THEN BEGIN 2 // from:
  SAY #10713 /* ~Leave me be. I shall find my own way about.~ */
  IF ~~ THEN REPLY #10714 /* ~I have come to petition, once again, for your service. I appears my journey might yet take me further than I had first assumed and I could use your sword and blessings at my side.~ */ GOTO 3
  IF ~~ THEN REPLY #10715 /* ~Due to the nature of our calling, so few paladins live to see their fortieth year... but the Radiant Heart accepts nothing less, <CHARNAME>.~ */ GOTO 4
  IF ~~ THEN REPLY #10716 /* ~If it is to be at your side once more, than I will gladly make your present cause my own, m'<LADYLORD>.~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #10719 /* ~So the Radiant Heart is sort of a retirement home for paladins who have passed their prime, is that it?~ */
  IF ~~ THEN REPLY #10723 /* ~I don't know what trouble you've decided to bring here, <CHARNAME>, but I'd advise you not to start.~ */ GOTO 5
  IF ~~ THEN REPLY #10804 /* ~Only I release the master's prisoners. You are his and must return to the cells. It is his wish.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.1 2.1
  SAY #10720 /* ~Thank you, old friend. It has been enlightening.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #11855 /* ~Anomen's Judgement.

Anomen's trial has been completed: he has been found unworthy of being a knight within the Most Noble Order of the Radiant Heart.  Anomen blew up, angry at the judgement, and stormed out of the Order's headquarters.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.0 2.2
  SAY #10721 /* ~Now I remember why I liked you so much. Now excuse me, but I have some other tasks to perform. The Radiant Heart is always open to you.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
